%global srcname grml-etc-core

Name:           zsh-grml
Version:        0.12.6
Release:        1%{?dist}
Summary:        Configuration files for zsh from the Grml project

License:        GPLv2
URL:            http://www.grml.org/zsh
Source0:        http://deb.grml.org/pool/main/g/%{srcname}/%{srcname}_%{version}.tar.gz

BuildArch:      noarch

Requires:       zsh coreutils grep sed

%description
Grml project's setup for zsh.


%prep
%autosetup -n %{srcname}-%{version}


%build
make -C doc


%install
install -p -D -m644 etc/skel/.zshrc %{buildroot}%{_sysconfdir}/skel/.zshrc
install -p -D -m644 etc/zsh/keephack %{buildroot}%{_sysconfdir}/zsh/keephack
install -p -D -m644 etc/zsh/zshrc %{buildroot}%{_sysconfdir}/zsh/zshrc
install -D -m644 doc/grmlzshrc.5 %{buildroot}%{_mandir}/man5/grmlzshrc.5


%files
%license debian/copyright
%doc README.md debian/changelog debian/NEWS
%config(noreplace) %{_sysconfdir}/skel/.zshrc
%dir %{_sysconfdir}/zsh
%config(noreplace) %{_sysconfdir}/zsh/keephack
%config(noreplace) %{_sysconfdir}/zsh/zshrc
%{_mandir}/man5/grmlzshrc.5*


%changelog
* Wed Sep 28 2016 Builder <projects.rg@smart.ms> - 0.12.6-1
- initial
